import { NgModule } from '@angular/core';
import { CommonModule } from '@angular/common';
import { FormsModule, ReactiveFormsModule } from '@angular/forms';
import { MatButtonModule, MatMenuModule, MatIconModule, MatTabsModule, MatExpansionModule, MatCardModule } from '@angular/material';
import { FlexLayoutModule } from '@angular/flex-layout';
import { TermContainerComponent } from '../degree-planner/term-container/term-container.component';

const modules = [
	CommonModule,
	FormsModule,
	ReactiveFormsModule,
	MatButtonModule,
	MatMenuModule,
	MatIconModule,
	MatTabsModule,
	MatExpansionModule,
	MatCardModule,
	FlexLayoutModule
];

@NgModule({
	imports: [ modules ],
	exports: [ modules, TermContainerComponent ],
	declarations: [
		TermContainerComponent
	],
})
export class SharedModule { }
