export interface Course {
    id: number;
    courseId: string;
    termCode: string;
    topicId: number;
    title: string;
    subjectCode: string;
    catalogNumber: string;
    credits: number;
    creditMin: number;
    creditMax: number;
    grade: any;
    classNumber: string;
    courseOrder: number;
    honors: string;
    waitlist: string;
    relatedClassNumber1: any;
    relatedClassNumber2: any;
    classPermissionNumber: any;
    sessionCode: any;
    validationResults: any[];
    enrollmentResults: any[];
    pendingEnrollments: any[];
    details: any;
    classMeetings: any;
    enrollmentOptions: any;
    packageEnrollmentStatus: any;
    creditRange: any;
}

export interface TermContainer {
    termCode: string;
}
